Fix implicit-fallthrough warnings.